package org.matrix.actuators.checkpoint;

/**
 * @author huangxiahao
 */

public enum CheckPointType {
    /**
     * 异常检查点
     */
    EXCEPTION_CHECK(1,"异常检查点"),
    NULL_CHECK(2,"空值检查点"),
    CONTAIN_CHECK(3,"包含检查点"),
    NO_CONTAIN_CHECK(4,"不包含检查点"),
    JSONPATH_CHECK(5,"Jsonpath检查点")
    ;


    private int typeCode;

    private String name;

    CheckPointType(int typeCode, String name) {
        this.typeCode = typeCode;
        this.name = name;
    }

    public Integer getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(Integer typeCode) {
        this.typeCode = typeCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
